> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# List structure workspace associations

> List the workspaces associated with an organization structure. <br/><br/>Pagination: [Cursor-based](#section/Cursor-based)



## OpenAPI

````yaml https://api.saas-manager.biz.nuro.jp/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/structures/{structureId}/workspaces
openapi: 3.0.0
info:
  title: Assist SaaS Manager Public API
  description: >-
    Assist SaaS Manager API is a RESTful API providing programmatic access to
    much of the data in the system. It provides predictable URLs for accessing
    resources, and uses built-in HTTP features to receive commands and return
    responses. This makes it easy to communicate with from a wide variety of
    environments, from command-line utilities to gadgets to the browser URL bar
    itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.saas-manager.biz.nuro.jp
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: Structures
    description: ''
  - name: People
    description: ''
  - name: People Stats
    description: ''
  - name: Employee Masters
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Custom Services
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Workspace Licenses
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Service Roles
    description: ''
  - name: Service Licenses
    description: ''
  - name: Recommended Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/structures/{structureId}/workspaces:
    get:
      tags:
        - Structures
      summary: List structure workspace associations
      description: >-
        List the workspaces associated with an organization structure.
        <br/><br/>Pagination: [Cursor-based](#section/Cursor-based)
      operationId: publicGetStructureWorkspaceAssociations
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: structureId
          required: true
          in: path
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: Limit the number of results returned. Maximum 200.
          schema:
            maximum: 200
            example: 50
            type: number
        - name: cursor
          required: false
          in: query
          description: Cursor to paginate through results.
          schema:
            type: string
        - name: sortBy
          required: false
          in: query
          description: Sort results.
          schema:
            $ref: '#/components/schemas/StructureWorkspaceAssociationsSortBy'
        - name: sortOrder
          required: false
          in: query
          description: Sort results in ascending or descending order. Defaults to `ASC`.
          schema:
            $ref: '#/components/schemas/SortOrder'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PublicGetStructureWorkspaceAssociationsResponseDto
        '401':
          description: Invalid or missing API key
      security:
        - API-Key: []
components:
  schemas:
    StructureWorkspaceAssociationsSortBy:
      type: string
      enum:
        - workspaceId
    SortOrder:
      type: string
      enum:
        - DESC
        - ASC
    PublicGetStructureWorkspaceAssociationsResponseDto:
      type: object
      properties:
        meta:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/CursorPaginationMeta'
        items:
          readOnly: true
          type: array
          items:
            $ref: >-
              #/components/schemas/PublicStructureWorkspaceAssociationResponseDto
      required:
        - meta
        - items
    CursorPaginationMeta:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          readOnly: true
          example: F3UdkoSbpBNrjwP93AX2HQ
        totalItems:
          type: number
          nullable: true
          readOnly: true
          example: 1
      required:
        - nextCursor
    PublicStructureWorkspaceAssociationResponseDto:
      type: object
      properties:
        serviceId:
          type: number
          readOnly: true
          example: 1
        serviceName:
          type: string
          readOnly: true
          example: Service Name
        serviceUniqueName:
          type: string
          readOnly: true
          example: service_name
        workspaceId:
          type: number
          readOnly: true
          example: 1
        workspaceName:
          type: string
          readOnly: true
          example: Workspace
        accountCount:
          type: number
          readOnly: true
          example: 42
      required:
        - serviceId
        - serviceName
        - serviceUniqueName
        - workspaceId
        - workspaceName
        - accountCount
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank' rel='noopener noreferrer'
        href='https://www.saas-manager.biz.nuro.jp/'>Assist SaaS Manager</a>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.